---
updatedAt: 2026-08-31T20:17:57.000Z
---

# Get MCS fulfillment order status

Call this endpoint to retrieve a paginated list of Walmart Multichannel Solutions (MCS) customer fulfillment orders including each order's current processing status and key details. You can retrieve the order details such as ship node, status, order channel ID, date of order creation, and pre-shipment tracking number (WTRN) for MCS orders. You can also retrieve line details, which include status, shipping method, and fulfillment type.

The API can respond with more information on multiple orders based on query parameters like order created date (`startDate` and `endDate`), status, `shipNumber`, and `orderChannelId`. If you pass only the `orderNumber`, the API returns details of that specific order.

> **Note**: This page describes an example using only the required parameters and inputs to retrieve MCS fulfillment order status. For a full list of customization options and additional capabilities, refer to the <Anchor target="_blank" href="https://developer.walmart.com/us-marketplace/reference/getrequestsstatus">Marketplace WFS Multichannel solutions API Reference</Anchor>.

# Endpoint

```Text bash
GET https://marketplace.walmartapis.com/v3/fulfillment/orders-fulfillments/statu
```

# Sample Request

This section demonstrates how you can use the API to retrieve MCS customer fulfillment orders.

## Filter orders by date window and status

This sample request filters orders by date window and status. In addition, you can also filter by channel or ship node.

```curl cURL
curl --request GET \
  --url 'https://marketplace.walmartapis.com/v3/fulfillment/orders-fulfillments/status?startDate=2025-07-01T00:00:00Z&endDate=2025-07-31T23:59:59Z&status=SHIPPED&orderChannelId=MYACCOUNT&shipNumber=1234' \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'WM_SEC.ACCESS_TOKEN: <your_oauth_access_token>' \
  --header 'WM_QOS.CORRELATION_ID: <uuid-for-this-call>' \
  --header 'WM_SVC.NAME: Walmart Marketplace'

```
```python Python
import requests

url = "https://marketplace.walmartapis.com/v3/fulfillment/orders-fulfillments/status"

headers = {
    "Accept": "application/json",
    "Content-Type": "application/json",
    "WM_SEC.ACCESS_TOKEN": "<your_oauth_access_token>",
    "WM_SVC.NAME": "Walmart Marketplace",
    "WM_QOS.CORRELATION_ID": "<uuid-for-this-call>",
}

params = {
    "startDate": "2025-07-01T00:00:00Z",
    "endDate": "2025-07-31T23:59:59Z",
    "status": "SHIPPED",
    "orderChannelId": "MYACCOUNT",
    "shipNumber": "1234",
}

response = requests.get(url, headers=headers, params=params)
print(response.status_code)
print(response.text)
```

## Filter orders by order number

This sample request filters a single order by `orderNumber`.

```curl cURL
curl --request GET \
  --url 'https://marketplace.walmartapis.com/v3/fulfillment/orders-fulfillments/status?orderNumber=RAPMOCK1719065835761' \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'WM_SEC.ACCESS_TOKEN: <your_oauth_access_token>' \
  --header 'WM_SVC.NAME: Walmart Marketplace' \
  --header 'WM_QOS.CORRELATION_ID: <uuid-for-this-call>'

```
```python Python
import requests

url = "https://marketplace.walmartapis.com/v3/fulfillment/orders-fulfillments/status"

headers = {
    "Accept": "application/json",
    "Content-Type": "application/json",
    "WM_SEC.ACCESS_TOKEN": "<your_oauth_access_token>",
    "WM_SVC.NAME": "Walmart Marketplace",
    "WM_QOS.CORRELATION_ID": "<uuid-for-this-call>",
}

params = {
    "orderNumber": "RAPMOCK1719065835761",
}

response = requests.get(url, headers=headers, params=params)
print(response.status_code)
print(response.text)

```

## Modify your code

* Use a unique `WM_QOS.CORRELATION_ID` for each request.
* Replace `WM_SEC.ACCESS_TOKEN` with your valid access token obtained through authentication.

# Sample Response

The following is a sample successful response provided by the API.

```json
{
    "status": "OK",
    "header": {
        "headerAttributes": {
            "buId": "0",
            "martId": "202",
            "pageCount": 1,
            "totalCount": 1
        }
    },
    "payload": [
        {
            "sellerOrderId": "ptrn20802",
            "orderType": "DOMESTIC",
            "status": "DELIVERED",
            "orderDate": "2022-12-31T21:57:51.176Z",
            "preShipmentTrackingNumber": "WTRN123456789012345",
            "wtrnTrackingURL": "https://example.com/track?trackingNumber=WTRN123456789012345",
            "buyerInfo": {
                "primaryContact": {
                    "name": {
                        "firstName": "First name",
                        "lastName": "Last name"
                    }
                }
            },
            "shipments": [
                {
                    "status": "DELIVERED",
                    "statusDescription": "Shipment delivered",
                    "purchaseOrderId": "2873667778063",
                    "scac": "FedEx",
                    "trackingNo": "123456789012",
                    "externalTrackingURL": "https://www.walmart.com/orders/example-order/track/123456789012",
                    "carrierTrackingURL": "https://example.com/track?trackingNumber=123456789012",
                    "shipmentNo": "123e4567-e89b-12d3-a456-426614174000",
                    "actualShipmentDate": "2023-01-02T15:51:22.000Z",
                    "packageASN": "55558952333141953386",
                    "carrierDescription": "FedEx",
                    "carrierServiceCode": "7610",
                    "packageId": "55558952333141953386",
                    "lastModified": "2023-01-05T19:38:27.950Z",
                    "shipmentLines": [
                        {
                            "shipmentLineNo": "7101212",
                            "fulfillerLineId": "1",
                            "quantity": {
                                "unitOfMeasure": "EA",
                                "measurementValue": 1
                            }
                        }
                    ],
                    "shipmentDates": [
                        {
                            "actualDate": "2023-01-02T15:51:22.000Z",
                            "dateTypeId": "SHIPMENT",
                            "expectedDate": "2023-01-02T18:45:00.000Z"
                        },
                        {
                            "dateTypeId": "OPD",
                            "expectedDate": "2023-01-03T04:57:00.000Z"
                        },
                        {
                            "actualDate": "2023-01-05T19:29:00.000Z",
                            "dateTypeId": "DELIVERY",
                            "expectedDate": "2023-01-05T20:00:00.000Z"
                        }
                    ]
                }
            ],
            "orderLines": [
                {
                    "fulfillmentType": "DELIVERY",
                    "lastModified": "2022-12-31T21:57:52.529Z",
                    "shippingMethod": "STANDARD",
                    "shippingTier": "TWO_DAY",
                    "orderLineQuantityInfo": [
                        {
                            "status": "PROCESSING",
                            "statusDescription": "SUCCESSFULLY_SOURCED",
                            "statusQuantity": {
                                "unitOfMeasure": "EA",
                                "measurementValue": 1
                            }
                        }
                    ],
                    "orderProduct": {
                        "productName": "London Fog - Missy Sb Double Collar - Black - Large"
                    },
                    "orderedQty": {
                        "unitOfMeasure": "EA",
                        "measurementValue": 1
                    },
                    "shipToAddress": {
                        "address": {
                            "addressLineOne": "Address line one",
                            "addressLineTwo": "Address line 2",
                            "addressType": "RESIDENTIAL",
                            "city": "Ontario",
                            "countryCode": "US",
                            "postalCode": "12345",
                            "stateOrProvinceName": "CA",
                            "stateOrProvinceCode": "CA"
                        },
                        "name": {
                            "completeName": "Firstname lastname",
                            "firstName": "Firstname",
                            "lastName": "Lastname"
                        }
                    }
                }
            ]
        }
    ]
}
```

The following is a sample response provided by the API on failures. The description and information might change based on the error.

```json JSON
{
    "status": "FAIL",
    "errors": [
        {
            "code": "ERR_EXT_DATA_0021001",
            "description": "The payload structure is not valid. Please correct the payload.",
            "info": "[Error [code=DATA, field=400.WSAAS.106, description=limit should be greater than 0 or less than equal to 50, info=Provided value is not allowed, severity=ERROR, category=REQUEST, causes=null]]",
            "severity": "ERROR",
            "category": "REQUEST"
        }
    ]
}
```

# Result

If successful, the API returns `200 OK` with a JSON body that includes a header object containing `totalCount` and `pageCount`, and pagination cursors when applicable.